# coding=utf-8
# 编译日期：2021-03-12 16:23:03
# 版权所有：www.i-search.com.cn
import ubpa.init_input as iinput
from ubpa.base_util import StdOutHook, ExceptionHandler
import ubpa.ifile as ifile
import ubpa.itools.rpa_str as rpa_str
import ubpa.itools.rpa_time as rpa_time
import time
import pdb
from ubpa.ilog import ILog
from ubpa.base_img import set_img_res_path
import getopt
from sys import argv
import sys
import os

class DGYH:
     
    def __init__(self,**kwargs):
        self.__logger = ILog(__file__)
        self.path = set_img_res_path(__file__)
        self.robot_no = ''
        self.proc_no = ''
        self.job_no = ''
        self.input_arg = ''
        if('robot_no' in kwargs.keys()):
            self.robot_no = kwargs['robot_no']
        if('proc_no' in kwargs.keys()):
            self.proc_no = kwargs['proc_no']
        if('job_no' in kwargs.keys()):
            self.job_no = kwargs['job_no']
        ILog.JOB_NO, ILog.OLD_STDOUT = self.job_no, sys.stdout
        sys.stdout = StdOutHook(self.job_no, sys.stdout)
        ExceptionHandler.JOB_NO, ExceptionHandler.OLD_STDERR = self.job_no, sys.stderr
        sys.excepthook = ExceptionHandler.handle_exception
        if('input_arg' in kwargs.keys()):
            self.input_arg = kwargs['input_arg']
            if(len(self.input_arg) <= 0):
                self.input_arg = iinput.load_init(__file__)
            if self.input_arg is None:
                sys.exit(0)
        self.file_path='E:\\TEMP\\9DGYH\\'
        self.riqi=None
        self.save_path=None
      
    def flow3(self):
        '''文件夹\n'''
        tga=1
        loop_no1=0
        #当前日期
        self.__logger.dlogs(job_no=self.job_no,logmsg='Flow:flow3,StepNodeTag:20201229205324886215,Title:当前日期,Note:')
        self.riqi=rpa_time.get_current_datetime_str(format='%Y%m%d')
        # While循环
        self.__logger.dlogs(job_no=self.job_no, logmsg='Flow:flow3,StepNodeTag:20201229212034168261,Title:While循环,Note:')
        while loop_no1<80:
            #代码块
            self.__logger.dlogs(job_no=self.job_no,logmsg='Flow:flow3,StepNodeTag:20201229212219382269,Title:代码块,Note:')
            self.save_path = f'{self.file_path}{self.riqi}_{tga}\\'
            loop_no1 += 1
            #目录是否存在
            self.__logger.dlogs(job_no=self.job_no,logmsg='Flow:flow3,StepNodeTag:20201229205355541221,Title:目录是否存在,Note:')
            tvar_20201229205355543222=ifile.exist_dir(dir=self.save_path)
            # IF分支
            self.__logger.dlogs(job_no=self.job_no, logmsg='Flow:flow3,StepNodeTag:20201229205750630229,Title:IF分支,Note:')
            if tvar_20201229205355543222:
                #文件是否存在
                self.__logger.dlogs(job_no=self.job_no,logmsg='Flow:flow3,StepNodeTag:20201229210801647242,Title:文件是否存在,Note:')
                tvar_20201229210801649243=ifile.is_file_exist(dir_path=self.save_path,filename=f'操作完成.txt',is_fuzzy_matching=False,is_traverse=False)
                # IF分支
                self.__logger.dlogs(job_no=self.job_no, logmsg='Flow:flow3,StepNodeTag:20201229210734676240,Title:IF分支,Note:')
                if tvar_20201229210801649243:
                    #代码块
                    self.__logger.dlogs(job_no=self.job_no,logmsg='Flow:flow3,StepNodeTag:20201229211625484256,Title:代码块,Note:')
                    tga += 1
                    
                else:
                    # Break中断
                    self.__logger.dlogs(job_no=self.job_no, logmsg='Flow:flow3,StepNodeTag:20201229212126067266,Title:Break中断,Note:')
                    break
            else:
                #创建文件夹
                self.__logger.dlogs(job_no=self.job_no,logmsg='Flow:flow3,StepNodeTag:20201229205811526232,Title:创建文件夹,Note:')
                ifile.create_dir(dir=self.save_path)
                # Break中断
                self.__logger.dlogs(job_no=self.job_no, logmsg='Flow:flow3,StepNodeTag:20201229212119357264,Title:Break中断,Note:')
                break
        #输出
        self.__logger.dlogs(job_no=self.job_no,logmsg='Flow:flow3,StepNodeTag:20201229211145907245,Title:输出,Note:')
        rpa_str.iprints(self.save_path)
      
    def Main(self):
        #子流程
        self.__logger.dlogs(job_no=self.job_no,logmsg='Flow:Main,StepNodeTag:2021031215400610027,Title:子流程,Note:')
        tvar20210312154006100271=self.flow3()
 
if __name__ == '__main__':
    ILog.begin_init()
    robot_no = ''
    proc_no = ''
    job_no = ''
    input_arg = ''
    try:
        argv = sys.argv[1:]
        opts, args = getopt.getopt(argv,"hr:p:j:i:",["robot = ","proc = ","job = ","input = "])
    except getopt.GetoptError:
        print ('robot.py -r <robot> -p <proc> -j <job>')
    for opt, arg in opts:
        if opt == '-h':
            print ('robot.py -r <robot> -p <proc> -j <job>')
        elif opt in ("-r", "--robot"):
            robot_no = arg
        elif opt in ("-p", "--proc"):
            proc_no = arg
        elif opt in ("-j", "--job"):
            job_no = arg
        elif opt in ("-i", "--input"):
            input_arg = arg
    pro = DGYH(robot_no=robot_no,proc_no=proc_no,job_no=job_no,input_arg=input_arg)
    pro.Main()
